- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_read_prefs_t

# mongoc_read_prefs_get_tags()

## Synopsis

    const bson_t *
    mongoc_read_prefs_get_tags (const mongoc_read_prefs_t *read_prefs);

## Parameters

- `read_prefs`: A mongoc_read_prefs_t.

## Description

Fetches any read preference tags that have been registered.

## Returns

Returns a `bson_t` that should not be modified or freed.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.